List schedules
curl --request GET \
--url https://api.rootly.com/v1/schedules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"sync_linear_enabled": true,
"include_shadows_in_slack_notifications": true,
"shift_start_notifications_enabled": true,
"shift_update_notifications_enabled": true,
"shift_report_enabled": true,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/schedules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"sync_linear_enabled": true,
"include_shadows_in_slack_notifications": true,
"shift_start_notifications_enabled": true,
"shift_update_notifications_enabled": true,
"shift_report_enabled": true,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}